#
#  Copyright 2024 The InfiniFlow Authors. All Rights Reserved.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#
from typing import Optional
from pydantic import BaseModel, Field


class InviteUserRequest(BaseModel):
    """邀请用户请求模型"""
    email: str = Field(..., description="用户邮箱")


class UserTenantResponse(BaseModel):
    """用户租户响应模型"""
    id: str = Field(..., description="用户ID")
    avatar: Optional[str] = Field(None, description="用户头像")
    email: str = Field(..., description="用户邮箱")
    nickname: Optional[str] = Field(None, description="用户昵称")
